
TYPO3.TYPO3CR - Feature # 1291

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: Node handling
Created: 2008-08-18 Assigned To: Karsten Dambekalns
Updated: 2011-05-05 Due date:
Subject: Make it possible to suggest an identifier for a new node
Description

To make the gap between a DDD domain object eventually having it's own UUID already and the CR persisting that object as a node,
it should be possible to suggest an identifier to the CR when creating a node.

    -  check what the spec says
    -  think about a clean & lean way of doing this
    -  implement :)

Related issues:
related to TYPO3.Flow - Feature # 1292: Introduce @identifier annotation for ... Resolved 2008-08-25

Associated revisions
Revision 0bbfeab5 - 2008-08-22 19:22 - Karsten Dambekalns
PHPCR:
    -  added third optional parameter to Node.addNode(), relates to #1291
TYPO3CR:
    -  Node.addNode() now accepts a third optional parameter allowing to suggest an identifier for the new node, fixes #1291
    -  Node.addNode() now uses the requested nodetype for relative paths pointing away from the current node

History
#1 - 2008-08-22 13:45 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

#2 - 2008-08-22 19:15 - Karsten Dambekalns

Ok, the spec says (basically), what an identifier must conform to and when it is needed. It does not prohibit suggesting one, although it does of course
not have such functionality.

#3 - 2008-08-22 19:22 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r1152.
